private with GNAT.Compiler_Version;
package GNAT_Helper is

	procedure Execute (Command : in String; Verbose : in Boolean);
	Execute_Error : exception;

	Version : constant String;

	subtype Version_Num_String is String (1 .. 5); -- x.x.x
	function Extract_Version_Num (Version : String) return Version_Num_String;

private

	package Compiler_Version is new GNAT.Compiler_Version;

	Version : constant String := Compiler_Version.Version;

end GNAT_Helper;
